GetProductsCopy Pageget https://sellercenter-api.linio.com.mx/?Action=GetProductsGet all or a range of products.Recent RequestsLog in to see full request historyTimeStatusUser Agent Retrieving recent requests…LoadingLoading…Query ParamsActionstringDefaults to GetProductsName of the function that is to be called. Mandatory and must be 'GetProducts' in this case. If omitted, an 'E001: Parameter Action is mandatory' error is returned. If an unknown function string is supplied, an 'E008: Invalid Action' error message is returned.FormatstringDefaults to XMLIf supplied, must be either 'JSON' or 'XML'. If not supplied, 'XML' is assumed.TimestampdateThe current time in ISO8601 format relative to UTC (e.g., Timestamp=2015-04-01T10:00:00+02:00 for Berlin), so that calls cannot be replayed by an eaves-dropping third party (i.e., those calls too far into the past or future yield an error message). Mandatory. If not supplied, an 'E001: Parameter Timestamp is mandatory' error message results. If the timestamp is too old or in the future, an 'E003: Timestamp has expired' error message is returned.UserIDstringThe ID of the user making the call. The list of authorized users is maintained in Seller Center web interface under Settings/Manage Users.VersionstringThe API version against which this call is to be executed, in major-dot-minor format. Must currently be 1.0, even though the actual version of the API is 2.6.20. If omitted, an ‘E001: Parameter Version is mandatory’ error message is returned.SignaturestringThe cryptographic signature, authenticating the request. A caller must create this value by computing the SHA256 hash of the request, using the API key of the user specified in the UserID parameter. Mandatory. If omitted, an ‘E001: Parameter Signature is mandatory’ error message is returned. If the signature is incorrect, an ‘E007: Login failed. Signature mismatch’ error message is returned.CreatedAfterdateLimites the returned product list to those created after or on a specified date, given in ISO 8601 date format. OptionalCreatedBeforedateLimites the returned product list to those created before or on a specified date, given in ISO 8601 date format. OptionalSearchstringReturns those products where the search string is contained in the product's name and/or SKU.FilterstringDefaults to allReturn only those products whose state matches this parameter. Possible values are all, live, inactive, deleted, image-missing, pending, rejected, sold-out. Mandatory.Limitint32Defaults to 1000The maximum number of products that should be returned. If you omit this parameter, the default of 1000 is used. The largest number of products you can request with a single call is 5000 (this is the default hard limit, which can be changed per instance). If you need to retrieve more products than that, you have to page through the result set using the Offset parameter.Offsetint32Numer of products to skip (i.e., an offset into the result set; toghether with the Limit parameter, simple resultset paging is possible; if you do page through results, note that the list of products might change during paging).SkuSellerListarray of stringsOnly products whose SKU is contained in this list wil be returned. Can either be a JSON array (e.g., [“E213”,”KI21”,”HT0”]) or a serialized PHP array (e.g., a:3:{i:0;s:4:”E213”;i:1;s:4:”KI21”;i:2;s:3:”HT0”;}).SkuSellerListADD stringUpdatedAfterdateLimits the returned product list to those updated after or on a specified date, given in ISO 8601 date format. OptionalUpdatedBeforedateLimits the returned product list to those updated before or on a specified date, given in ISO 8601 date format. OptionalGlobalIdentifierint32Defaults to 0If set to 1, Brand, PrimaryCategory, Categories and all Attributes in ProductData will be returned with Global IdentifiersHeadersacceptstringenumDefaults to application/jsonGenerated from available response content typesAllowed:application/jsonapplication/xmlResponses 200200 400400Updated about 1 year ago